#ifndef _HB628_H_
#define _HB628_H_

#include <windows.h>

#define ERR_NO		0 // no error
#define ERR_TX		1 // Tx error
#define ERR_RX		2 // Rx error
#define ERR_CS		3 // control sum error
#define ERR_PARAM	4 // parameters value error


#ifdef _HB628_EXPORT_
#define HB628_API  __declspec(dllexport)
#else
#define HB628_API  __declspec(dllimport)
#endif

#ifdef __cplusplus
extern "C" {
#endif

HB628_API BOOL WINAPI HB628_Open( unsigned char comport, long timeout );
HB628_API BOOL WINAPI HB628_Close(void);
HB628_API BOOL WINAPI HB628_Read_Channel( unsigned char channel, short int* result, unsigned char* error);
HB628_API BOOL WINAPI HB628_Read_All_Channel( short int* Result_Array, unsigned char* error );
HB628_API BOOL WINAPI HB628_Set_Digital_Output( unsigned char channel, unsigned char value, unsigned char* error );
HB628_API BOOL WINAPI HB628_Set_All_Digital_Output( unsigned char out, unsigned char* error );
HB628_API BOOL WINAPI HB628_Set_TimeOut( unsigned char value, unsigned char* error );

#ifdef __cplusplus
}
#endif

#endif /* _HB628_H_ */
